Bug 1625320 - raise_retirement_event log message should include the requester information
Summary: raise_retirement_event log message should include the requester information
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: GA
: 5.10.0
Assignee: drew uhlmann
QA Contact: Ievgen Zapolskyi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-04 16:06 UTC by drew uhlmann
Modified: 2019-02-07 23:03 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:43 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:50 UTC

Description drew uhlmann 2018-09-04 16:06:11 UTC
Description of problem:

Retirement log message should include who initiated the retirement. 


Version-Release number of selected component (if applicable): 5.9, has been fixed on master here: https://github.com/ManageIQ/manageiq/pull/17898


How reproducible: always


Steps to Reproduce: retire a thing and see that https://github.com/ManageIQ/manageiq/pull/17898/files#diff-5c80c9a5ecc28374ffccc13421a61b65L206 doesn't include info about who started the retirement 

1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 drew uhlmann 2018-09-04 16:23:38 UTC
https://github.com/ManageIQ/manageiq/pull/17944

Comment 3 Dave Johnson 2018-09-04 16:44:39 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 4 drew uhlmann 2018-09-19 13:31:41 UTC
https://github.com/ManageIQ/manageiq/pull/17944

Comment 6 drew uhlmann 2018-10-16 15:57:34 UTC
Hey Ievgen! So it looks like that never got merged on the g/branch, so you'd have to be on a more recent appliance than that. Could you please tell me what version you are on?

Comment 8 drew uhlmann 2018-10-16 16:09:33 UTC
Ah, thanks. Any chance you might be willing to give me the IP please so I can see what's happening?

Comment 10 drew uhlmann 2018-10-16 16:41:40 UTC
Created attachment 1494480 [details]
0 count of original log message

Comment 11 drew uhlmann 2018-10-16 16:44:55 UTC
I attached a screenshot, the logs don't even show the original log message before I changed it in that PR. Could you please retry a retirement (not one that's scheduled, one that happens immediately)?

Comment 13 drew uhlmann 2018-10-16 18:28:13 UTC
Could you please test this PR on the CFME UI? I'm not sure how this behaves on a pod.

Comment 15 drew uhlmann 2018-10-17 13:26:56 UTC
Hey Ievgen! I'm so sorry about this. 

I think if you look at the appliance logs you'll see:
 Requester [admin] raising Retirement Event for [cu-24x7] with queue options: {:zone=>"default"}

I gave you wrong information earlier, the method that runs this logging only happens on system retirement, not retire_now. So in the UI if you set something to retire sometime in the future that's more than 15 minutes (15 minutes being the regularity with which the scheduler on that box is running) you'll be able to test this. Sorry for the confusion!

Comment 16 Ievgen Zapolskyi 2018-10-17 15:43:07 UTC
Verified in 5.10.0.20

Comment 17 errata-xmlrpc 2019-02-07 23:03:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.